"Fossies" - the Fresh Open Source Software Archive

Member "jitsi-meet-7329/android/scripts/run-packager.sh" (9 Jun 2023, 945 Bytes) of package /linux/misc/jitsi-meet-7329.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file.

    1 #!/bin/bash
    2 
    3 # This script is executed bt Gradle to start the React packager for Debug
    4 # targets.
    5 
    6 THIS_DIR=$(cd -P "$(dirname "$(readlink "${BASH_SOURCE[0]}" || echo "${BASH_SOURCE[0]}")")" && pwd)
    7 
    8 export RCT_METRO_PORT="${RCT_METRO_PORT:=8081}"
    9 echo "export RCT_METRO_PORT=${RCT_METRO_PORT}" > "${THIS_DIR}/../../node_modules/react-native/scripts/.packager.env"
   10 
   11 adb reverse tcp:$RCT_METRO_PORT tcp:$RCT_METRO_PORT
   12 
   13 if nc -w 5 -z localhost ${RCT_METRO_PORT} ; then
   14   if ! curl -s "http://localhost:${RCT_METRO_PORT}/status" | grep -q "packager-status:running" ; then
   15     echo "Port ${RCT_METRO_PORT} already in use, packager is either not running or not running correctly"
   16     exit 2
   17   fi
   18 else
   19     CMD="$THIS_DIR/run-packager-helper.command"
   20     if [[ `uname` == "Darwin"  ]]; then
   21         open -g "${CMD}" || echo "Can't start packager automatically"
   22     else
   23         xdg-open "${CMD}" || echo "Can't start packager automatically"
   24     fi
   25 fi